## org.eclipse.emf.mapping.ecore2ecore
Interface Ecore2EcorePackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  Ecore2EcorePackageImpl

    public interface Ecore2EcorePackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `Ecore2EcoreFactory`

Nested Class Summary
`static interface` `Ecore2EcorePackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `ECORE2_ECORE_MAPPING_ROOT` The meta object id for the '`Mapping Root`' class
`static int` `ECORE2_ECORE_MAPPING_ROOT__COMMAND_STACK` The feature id for the 'Command Stack' attribute
`static int` `ECORE2_ECORE_MAPPING_ROOT__HELPER` The feature id for the 'Helper' containment reference
`static int` `ECORE2_ECORE_MAPPING_ROOT__INPUTS` The feature id for the 'Inputs' reference list
`static int` `ECORE2_ECORE_MAPPING_ROOT__NESTED` The feature id for the 'Nested' containment reference list
`static int` `ECORE2_ECORE_MAPPING_ROOT__NESTED_IN` The feature id for the 'Nested In' container reference
`static int` `ECORE2_ECORE_MAPPING_ROOT__OUTPUT_READ_ONLY` The feature id for the 'Output Read Only' attribute
`static int` `ECORE2_ECORE_MAPPING_ROOT__OUTPUTS` The feature id for the 'Outputs' reference list
`static int` `ECORE2_ECORE_MAPPING_ROOT__TOP_TO_BOTTOM` The feature id for the 'Top To Bottom' attribute
`static int` `ECORE2_ECORE_MAPPING_ROOT__TYPE_MAPPING` The feature id for the 'Type Mapping' reference
`static int` `ECORE2_ECORE_MAPPING_ROOT_FEATURE_COUNT` The number of structural features of the 'Mapping Root' class
`static Ecore2EcorePackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI

Method Summary
`Ecore2EcoreFactory` `getEcore2EcoreFactory()` Returns the factory that creates the instances of the model
`EClass` `getEcore2EcoreMappingRoot()` Returns the meta object for class '`Mapping Root`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final Ecore2EcorePackage eINSTANCE

  The singleton instance of the package.

### ECORE2_ECORE_MAPPING_ROOT

    static final int ECORE2_ECORE_MAPPING_ROOT

  The meta object id for the '`Mapping Root`' class.

  See Also:
    `Ecore2EcoreMappingRootImpl`, `Ecore2EcorePackageImpl.getEcore2EcoreMappingRoot()`, Constant Field Values

### ECORE2_ECORE_MAPPING_ROOT__HELPER

    static final int ECORE2_ECORE_MAPPING_ROOT__HELPER

  The feature id for the 'Helper' containment reference.

  See Also:
    Constant Field Values

### ECORE2_ECORE_MAPPING_ROOT__NESTED

    static final int ECORE2_ECORE_MAPPING_ROOT__NESTED

  The feature id for the 'Nested' containment reference list.

  See Also:
    Constant Field Values

### ECORE2_ECORE_MAPPING_ROOT__NESTED_IN

    static final int ECORE2_ECORE_MAPPING_ROOT__NESTED_IN

  The feature id for the 'Nested In' container reference.

  See Also:
    Constant Field Values

### ECORE2_ECORE_MAPPING_ROOT__INPUTS

    static final int ECORE2_ECORE_MAPPING_ROOT__INPUTS

  The feature id for the 'Inputs' reference list.

  See Also:
    Constant Field Values

### ECORE2_ECORE_MAPPING_ROOT__OUTPUTS

    static final int ECORE2_ECORE_MAPPING_ROOT__OUTPUTS

  The feature id for the 'Outputs' reference list.

  See Also:
    Constant Field Values

### ECORE2_ECORE_MAPPING_ROOT__TYPE_MAPPING

    static final int ECORE2_ECORE_MAPPING_ROOT__TYPE_MAPPING

  The feature id for the 'Type Mapping' reference.

  See Also:
    Constant Field Values

### ECORE2_ECORE_MAPPING_ROOT__OUTPUT_READ_ONLY

    static final int ECORE2_ECORE_MAPPING_ROOT__OUTPUT_READ_ONLY

  The feature id for the 'Output Read Only' attribute.

  See Also:
    Constant Field Values

### ECORE2_ECORE_MAPPING_ROOT__TOP_TO_BOTTOM

    static final int ECORE2_ECORE_MAPPING_ROOT__TOP_TO_BOTTOM

  The feature id for the 'Top To Bottom' attribute.

  See Also:
    Constant Field Values

### ECORE2_ECORE_MAPPING_ROOT__COMMAND_STACK

    static final int ECORE2_ECORE_MAPPING_ROOT__COMMAND_STACK

  The feature id for the 'Command Stack' attribute.

  See Also:
    Constant Field Values

### ECORE2_ECORE_MAPPING_ROOT_FEATURE_COUNT

    static final int ECORE2_ECORE_MAPPING_ROOT_FEATURE_COUNT

  The number of structural features of the 'Mapping Root' class.

  See Also:
    Constant Field Values

Method Detail

### getEcore2EcoreMappingRoot

    EClass getEcore2EcoreMappingRoot()

  Returns the meta object for class '`Mapping Root`'.

  Returns:
    the meta object for class 'Mapping Root'.
  See Also:
    `Ecore2EcoreMappingRoot`

### getEcore2EcoreFactory

    Ecore2EcoreFactory getEcore2EcoreFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.